/*
  Accelerometer/Gyroscope example.
  The X and Y angles are obtained from a complementary filter joining the values
  read from the accelerometer and the gyroscope in a default proportion of 96% / 4%.
  The Z angle comes only from the gyroscope.
*/

#include <FreeSensors.h>

FSdirect SHD;
FSaccelGyro GYR;
FSserial SER;

void setup() {
    SHD.begin();
    SHD.connect(GYR, I2C1);
    SHD.connect(SER, SER1);
    if (!GYR.attached()) {
        SER.writeString("ERROR: sensor not connected to bus !");
    }
    // With argument "true" it will show in console the proccess of calibration.
    // Do not move the sensor for 5 seconds !
    GYR.calibrate(true);
}

void loop() {
    GYR.updateValues();
    SER.writeString("angleX : "+String(GYR.getAngleX())+"\t"+
                    "angleY : "+String(GYR.getAngleY())+"\t"+
                    "angleZ : "+String(GYR.getAngleZ()) );
    delay(100);
}
