/*
  Tests for the DIOport shield :
  I2C address in the default 010 position (only one jumper in the middle pin)
  It uses the PCF8574A, so in the begin we should use PCFA_010, which is the default.
  The port 1 jumper has to be as "Input" and the others as "Output"

  The program reads the port 1 value, and with this value commands the
  other ports, from 2 to 8. Connect a push button to port 1 and leds to the others.
*/

#include <FreeSensors.h>

FSdioport SHD;
FSdigInput PULS;
FSdigOutput LED[10];
bool value;

void setup() {
    SHD.begin();
    SHD.connect(PULS, DIO1);
    SHD.connect(LED[2], DIO2);
    SHD.connect(LED[3], DIO3);
    SHD.connect(LED[4], DIO4);
    SHD.connect(LED[5], DIO5);
    SHD.connect(LED[6], DIO6);
    SHD.connect(LED[7], DIO7);
    SHD.connect(LED[8], DIO8);
}

void loop() {
    value = PULS.readValue();
    LED[2].writeValue(value);
    LED[3].writeValue(value);
    LED[4].writeValue(value);
    LED[5].writeValue(value);
    LED[6].writeValue(value);
    LED[7].writeValue(value);
    LED[8].writeValue(value);
    delay(100);
}
