/*
  Magnetometer/Compass example.
*/

#include <FreeSensors.h>

FSdirect SHD;
FSmagCompass MAG;
FSserial SER;

void setup() {
    SHD.begin();
    SHD.connect(MAG, I2C1);
    SHD.connect(SER, SER1);
    if (!MAG.attached()) {
        SER.writeString("ERROR: sensor not connected to bus !");
    }
    // The compass indicates the "magnetic north", and you can correct the reading with the declination
    // (angle error to the "true north") which depends on your location and actual date.
    // Find yours in the site http://www.magnetic-declination.com/ and set here in degrees or in
    // radians. For example, a declination of 5º 31' West is negative in radians = -0.096284
    MAG.setDeclination(5,31,'W');
 // MAG.setDeclination(-0.096284);
}

void loop() {
    MAG.updateValues();
    SER.writeString("Heading to North = "+String(MAG.getHeading()));
    delay(100);
}
