/*
  Tests for the Motor shield :
  I2C address in the default 010 position (only one jumper in the middle pin)
  Shield has to be external powered, the motors will not function with only USB connection.
  The program activates the four digital ports (configured as outputs),
  the two DC motors forward and backward, and the two servos at 0º and 90º.
*/

#include <FreeSensors.h>

FSmotor SH2;
FSdigOutput LED[4];
FSdcMotor MOT1;
FSdcMotor MOT2;
FSservoMotor SRV1;
FSservoMotor SRV2;

void setup() {
    SH2.begin();
    SH2.connect(LED[0], DIO1);
    SH2.connect(LED[1], DIO2);
    SH2.connect(LED[2], DIO3);
    SH2.connect(LED[3], DIO4);
    SH2.connect(MOT1, DC1);
    SH2.connect(MOT2, DC2);
    SH2.connect(SRV1, AO1);
    SH2.connect(SRV2, AO2);
}

void loop() {
    LED[0].writeValue(HIGH);
    LED[1].writeValue(HIGH);
    LED[2].writeValue(HIGH);
    LED[3].writeValue(HIGH);
    MOT1.forward(255);
    MOT2.forward(255);
    SRV1.setAngle(90);
    SRV2.setAngle(90);
    delay(1500);
    LED[0].writeValue(LOW);
    LED[1].writeValue(LOW);
    LED[2].writeValue(LOW);
    LED[3].writeValue(LOW);
    MOT1.stop();
    MOT2.stop();
    delay(600);
    LED[0].writeValue(HIGH);
    LED[1].writeValue(HIGH);
    LED[2].writeValue(HIGH);
    LED[3].writeValue(HIGH);
    MOT1.backward(255);
    MOT2.backward(255);
    SRV1.setAngle(0);
    SRV2.setAngle(0);
    delay(1500);
    LED[0].writeValue(LOW);
    LED[1].writeValue(LOW);
    LED[2].writeValue(LOW);
    LED[3].writeValue(LOW);
    MOT1.stop();
    MOT2.stop();
    delay(600);
}
