/*
  Tests for the NanoMotor board :
  The program activates the two digital ports (configured as outputs),
  the two DC motors forward and backward, and the two servos at 0º and 90º.
*/

#include <FreeSensors.h>

FSnanoMotor NMT;
FSdigOutput LED1;
FSdigOutput LED2;
FSdcMotor MOT1;
FSdcMotor MOT2;
FSservoMotor SRV1;
FSservoMotor SRV2;

void setup() {
    NMT.begin();
    LED1.connect(NMT, DIO1);
    LED2.connect(NMT, DIO2);
    MOT1.connect(NMT, DC1);
    MOT2.connect(NMT, DC2);
    SRV1.connect(NMT, AO1);
    SRV2.connect(NMT, AO2);
}

void loop() {
    LED1.writeValue(HIGH);
    LED2.writeValue(HIGH);
    MOT1.forward();
    MOT2.forward();
    SRV1.setAngle(90);
    SRV2.setAngle(90);
    delay(1500);
    LED1.writeValue(LOW);
    LED2.writeValue(LOW);
    MOT1.stop();
    MOT2.stop();
    delay(600);
    LED1.writeValue(HIGH);
    LED2.writeValue(HIGH);
    MOT1.backward();
    MOT2.backward();
    SRV1.setAngle(0);
    SRV2.setAngle(0);
    delay(1500);
    LED1.writeValue(LOW);
    LED2.writeValue(LOW);
    MOT1.stop();
    MOT2.stop();
    delay(600);
}
