/*
  Tests for the NanoMotor board :
  The program activates the two digital ports (configured as outputs),
  the two DC motors and the two Steppers forward and backward.
*/

#include <FreeSensors.h>

FSnanoMotor NMT;
FSdigOutput DIG1;
FSdigOutput DIG2;
FSdcMotor MOT1;
FSdcMotor MOT2;
FSstepMotor STP1;
FSstepMotor STP2;

void setup() {
    NMT.begin();
    DIG1.connect(NMT, DIO1);
    DIG2.connect(NMT, DIO2);
    MOT1.connect(NMT, DC1);
    MOT2.connect(NMT, DC2);
    STP1.connect(NMT, AO1);
    STP2.connect(NMT, AO2);
}

void loop() {
    DIG1.writeValue(HIGH);
    DIG2.writeValue(HIGH);
    MOT1.forward();
    MOT2.forward();
    STP1.forward();
    STP2.forward();
    delay(1500);
    DIG1.writeValue(LOW);
    DIG2.writeValue(LOW);
    MOT1.stop();
    MOT2.stop();
    STP1.stop();
    STP2.stop();
    delay(600);
    DIG1.writeValue(HIGH);
    DIG2.writeValue(HIGH);
    MOT1.backward();
    MOT2.backward();
    STP1.backward();
    STP2.backward();
    delay(1500);
    DIG1.writeValue(LOW);
    DIG2.writeValue(LOW);
    MOT1.stop();
    MOT2.stop();
    STP1.stop();
    STP2.stop();
    delay(600);
}
