/*
  Reads the value of a sound sensor connected to the analog port 1
  of a Direct shield. If the read value is greater than a defined
  threshold, the led is turned on. The led is connected to the first
  digital port of the same shield.
*/

#include <FreeSensors.h>

FSdirect SHD;
FSdigOutput LED;
FSanInput SENS;
int value;
int threshold = 200;

void setup() {
    SHD.begin();
    SHD.connect(LED, DIO1);
    SHD.connect(SENS, AI1);
}

void loop() {
    value = SENS.readRawValue();
    LED.writeValue(value>threshold);
    delay(100);
}
