/*
  Test for the Steppers connected to a Motor shield :
  The program activates the two steppers forward and
  backward at a fixed speed of 10 rpm. The moves are
  non-blocking and stays until the next command, so
  the moves last the time of the delay.
*/

#include <FreeSensors.h>

FSmotor SH2;
FSstepMotor STP1;
FSstepMotor STP2;

void setup() {
    SH2.begin();
    STP1.connect(SH2, AO1);
    STP2.connect(SH2, AO2);
}

void loop() {
    STP1.forward();
    STP2.forward();
    delay(1500);
    STP1.stop();
    STP2.stop();
    delay(500);
    STP1.backward();
    STP2.backward();
    delay(1500);
    STP1.stop();
    STP2.stop();
    delay(500);
}
