/*
  Example for the temperature/humidity DHT11 sensor.
  The sensor is connected to digital port Nº 1 of a Direct shield or
  another controller, and the readings are shown in the serial monitor.
*/

#include <FreeSensors.h>

FSdirect SHD;
FStempHum DHT;
FSserial SER;

void setup() {
    SHD.begin();
    DHT.connect(SHD, DIO1);
    SER.connect(SHD, SER1);
    SER.writeString("\n----------------------\n");
    SER.writeString("DHT"+String(DHT.getType()));
}

void loop() {
    DHT.updateValues();
    SER.writeString("Temperature = "+String(DHT.getTemperature(),0)+" °C");
    SER.writeString("Humidity = "+String(DHT.getHumidity(),0)+" %");
    delay(500);
}
