/*
  Shows the distance read from an ultrasonic sensor (like HC-SR04)
  in the serial monitor. The sensor is connected to digital port Nº 1
  of a Direct shield or Serialduino controller.
  The ultrasonic sensor is operated in "one pin" mode, where the trigger 
  pin is the same that the echo pin.
  The default maximum distance in the library is 200 cm, which is also the
  absolute maximum that can be established (constant MAX_ULTRASONIC_DISTANCE).
  The actual value is read at the start, and then used to show the symbol 
  "infinite" when the read distance is greater than the maximum defined.
*/

#include <FreeSensors.h>

FSdirect SHD;
FSultrasonic ULT;
FSserial SER;
String auxS;
int dist;
int maxDist;

void setup() {
    SHD.begin();
    SHD.connect(ULT, DIO1);
    SHD.connect(SER, SER1);
    maxDist = ULT.getMaxDistance();
}

void loop() {
    dist = ULT.getDistance();
    if (dist<=maxDist) auxS=String(dist); else auxS="ꝏ";
    auxS = "Ping: " + auxS + " cm";
    SER.writeString(auxS);
    delay(200);
}
