/*
  This sketch read two ultrasonic sensors (like HC-SR04), both operated
  in "one pin" mode, where the trigger pin is the same that the echo pin.
  The sensors are connected to the digital ports Nº 1 and Nº 2 of a Direct shield.
  Optionally the setup defines different maximum distances for each sensor, and 
  then these maximums are used to print the "infinite" symbol if overreached.
*/

#include <FreeSensors.h>

FSdirect SHD;
FSultrasonic ULT1;
FSultrasonic ULT2;
FSserial SER;
String auxS1;
String auxS2;
int dist;

void setup() {
    SHD.begin();
    SHD.connect(ULT1, DIO1);
    SHD.connect(ULT2, DIO2);
    SHD.connect(SER, SER1);
    ULT1.setMaxDistance(80);    // cm
    ULT2.setMaxDistance(150);   // cm
}

void loop() {
    dist = ULT1.getDistance();
    if (dist<=80) auxS1=String(dist); else auxS1="ꝏ";
    auxS1 = "Ping: \t U1 = " + auxS1 + " cm";

    dist = ULT2.getDistance();
    if (dist<=150) auxS2=String(dist); else auxS2="ꝏ";
    auxS2 = "\t U2 = " + auxS2 + " cm";

    SER.writeString(auxS1+auxS2);
    delay(300);
}
