/*
  FSaiport.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSaiport_h
#define _FSaiport_h

#include "FSshield.h"

class FSaiport : public FSshield {
    private:
        byte addrPins[3];
        byte analogPin;
    public:
        FSaiport();
        void begin();
        void setAnalogPin(byte ap);
        // FSaiCapable interface
        int readAnalogValue(byte jack);
        #include "nonFSdioCapable.inc"
        #include "nonFSaoCapable.inc"
        #include "nonFShbCapable.inc"
        // Following functions only for compatibility with vers < 1.2.0
        [[deprecated]] int analogRead(byte pin);
};

#endif
