/*
  FSanInput.cpp - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#include "FSanInput.h"

FSanInput::FSanInput() {
    mtype = fmtAI;
}

void FSanInput::begin() {
}

float FSanInput::readValue() {
    int value;
    value = toShield->readAnalogValue(getPortJack());
    // The 1023 value depends on the bits of the ADC conversion, it should
    // be a property of the aiCapable shield this module is connected to.
    // Another property could be the conversion time.
    return 100.0*value/1023.0;
}

int FSanInput::readRawValue() {
    return toShield->readAnalogValue(getPortJack());
}

int FSanInput::readRawAverage(byte nTimes) {
    int suma;
    int lectura;
    byte i;
    suma = 0;
    i = 0;
    while (i<nTimes) {
        lectura = toShield->readAnalogValue(getPortJack());
        delay(10);
        suma = suma + lectura;
        i++;
    }
    return (suma/nTimes);
}
