/*
  FSbuttonsAI.h - FreeSensors library for Arduino
  Copyright (C) 2018 Mario A. Guerra. All rights reserved.
  License: GNU GPL v3 http://www.gnu.org/licenses/gpl.html
*/

#ifndef _FSbuttonsAI_h
#define _FSbuttonsAI_h

#include "FSmodule.h"

enum buttonsAInames {
    fsbNONE     = 0,
    fsbPAUSE    = 1,
    fsbLEFT     = 2,
    fsbRIGHT    = 3,
    fsbBACKWARD = 4,
    fsbFORWARD  = 5,
    fsbGO       = 6
};

class FSbuttonsAI : public FSmodule {
    private:
        byte jack;
        byte button;                                // last button pressed
        byte decodeButtonsAI(uint16_t adcValue);    // converts an ADC value to a button
    public:
        FSbuttonsAI();
        void begin();
        byte buttonPressed();                       // last button pressed : 1, 2, 3, 4... (0 if none)
        String buttonName();                        // string name of the last button pressed
        String buttonName(byte xbutton);            // string name of a button
};

#endif
