/*
  FSdcMotor.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSdcMotor_h
#define _FSdcMotor_h

#include "FSmodule.h"

class FSdcMotor : public FSmodule {
    private:
        boolean reversed;
    public:
        FSdcMotor();
        void begin();
        void stop();
        void forward();                            // move CW at full speed
        void backward();                           // move CCW at full speed
        void forward(byte speed);                  // speed is PWM signal 0..255
        void backward(byte speed);                 // speed is PWM signal 0..255
        void setReversed(boolean rev = true);      // normal is CW in front view
        byte percentToSpeed(int speed);            // convert percent speed 0..100 to 0..255
};

#endif
