/*
  FSdigInput.cpp - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#include "FSdigInput.h"

FSdigInput::FSdigInput() {
    mtype = fmtDI;
}

void FSdigInput::begin() {
    toShield->setPinMode(getPortJack(), INPUT);
}

bool FSdigInput::readValue() {
    return toShield->readDigitalValue(getPortJack());
}

bool FSdigInput::readDebounced(byte nTimes) {
    bool resu;
    bool lectura;
    byte i;
    resu = toShield->readDigitalValue(getPortJack());
    delay(10);
    i = 1;
    while (i<nTimes) {
        lectura = toShield->readDigitalValue(getPortJack());
        if (lectura!=resu) return false;
        delay(10);
        i++;
    }
    return resu;
}
