/*
  FSdioport.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSdioport_h
#define _FSdioport_h

#include "FSshield.h"
#include "FSexpanderDIO.h"

class FSdioport : public FSshield, public FSexpanderDIO {
    private:
        byte direccion;
    public:
        FSdioport();
        void begin();
        void begin(byte address);
        bool connect(FSmodule &xmod, int xjack);
        // FSdioCapable interface
        void setPinMode(byte jack, byte mode);
        bool readDigitalValue(byte jack);
        void writeDigitalValue(byte jack, byte value);
        #include "nonFSaiCapable.inc"
        #include "nonFSaoCapable.inc"
        #include "nonFShbCapable.inc"
        // Following functions only for compatibility with vers < 1.2.0
        [[deprecated]] void pinMode(byte pin, byte mode);
        [[deprecated]] void digitalWrite(byte pin, byte value);
        [[deprecated]] byte digitalRead(byte pin);
};

#endif
