/*
  FSdirect.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSdirect_h
#define _FSdirect_h

#include "FSultrasonic.h"

#define ULTRASONIC 3   // used for pinMode in Direct shields

class FSdirect : public FSshield {
    protected:
        [[deprecated]] FSultrasonic sonar[4];
    public:
        FSdirect();
        void begin();
        void setDigitalPins(byte p1, byte p2, byte p3, byte p4);
        void setAnalogPins(byte a1, byte a2, byte a3, byte a4);
        // FSdioCapable interface
        void setPinMode(byte jack, byte mode);
        bool readDigitalValue(byte jack);
        void writeDigitalValue(byte jack, byte value);
        // FSaiCapable interface
        int readAnalogValue(byte jack);
        #include "nonFSaoCapable.inc"
        #include "nonFShbCapable.inc"
        // Following functions only for compatibility with vers < 1.2.0
        [[deprecated]] void pinMode(byte pin, byte mode);
        [[deprecated]] void digitalWrite(byte pin, byte value);
        [[deprecated]] byte digitalRead(byte pin);
        [[deprecated]] int analogRead(byte pin);
        [[deprecated]] int ultrasonicDistance(byte pin);
        [[deprecated]] int getMaxUltrasonicDistance(byte pin);
        [[deprecated]] void setMaxUltrasonicDistance(byte pin, int maxd);
};

#endif
