/*
  FSexpanderDIO.cpp - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#include "FSexpanderDIO.h"

FSexpanderDIO::FSexpanderDIO() {
}

/*
 * Modifies only one bit of the internal register and
 * then sends the byte to the I2C bus
 */
void FSexpanderDIO::write1bit(byte bit, byte value) {
    if ((bit<1) || (bit>8)) return;
    bitWrite(registro,bit-1,value);
    writeValue();
}

/*
 * Modifies two bits of the internal register and
 * then sends the byte to the I2C bus
 */
void FSexpanderDIO::write2bit(byte bit1, byte value1, byte bit2, byte value2) {
    bitWrite(registro,bit1-1,value1);
    bitWrite(registro,bit2-1,value2);
    writeValue();
}
