/*
  FSexpanderDIO.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSexpanderDIO_h
#define _FSexpanderDIO_h

#include "FSi2c.h"

// Address for chip PCF8574
#define PCF_000 0x20
#define PCF_001 0x21
#define PCF_010 0x22
#define PCF_011 0x23
#define PCF_100 0x24
#define PCF_101 0x25
#define PCF_110 0x26
#define PCF_111 0x27

// Address for chip PCF8574A
#define PCFA_000 0x38
#define PCFA_001 0x39
#define PCFA_010 0x3A
#define PCFA_011 0x3B
#define PCFA_100 0x3C
#define PCFA_101 0x3D
#define PCFA_110 0x3E
#define PCFA_111 0x3F

class FSexpanderDIO : public FSi2c {
    public:
        FSexpanderDIO();
        void write1bit(byte bit, byte value);
        void write2bit(byte bit1, byte value1, byte bit2, byte value2);
};

#endif
