/*
  FShBridge.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FShBridge_h
#define _FShBridge_h

#include "FSshield.h"
#include "FSexpanderDIO.h"

class FShBridge : public FSshield, public FSexpanderDIO {
    public:
        FShBridge();
        void begin();
        void begin(byte address);
        bool connect(FSmodule &xmod, int xjack);
        // FShbCapable interface
        void enableDC(byte jack);
        void disableDC(byte jack);
        void setSpeedDC(byte jack, byte value);
        void dcMotor00(byte jack);
        void dcMotor11(byte jack);
        void dcMotorCW(byte jack);
        void dcMotorCCW(byte jack);
        #include "nonFSdioCapable.inc"
        #include "nonFSaiCapable.inc"
        #include "nonFSaoCapable.inc"
};

#endif
