/*
  FSi2c.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSi2c_h
#define _FSi2c_h

#include "FSmodule.h"

class FSi2c : public FSmodule {
    protected:
        byte defaultAddr;
        byte deviceAddr;                 // I2C device address
        byte registro;                   // internal register
        void writeConfig(byte reg, byte data);
    public:
        FSi2c();
        void begin();
        void attach(byte address);
        bool attached();
        byte getAddress();
        void setAddress(byte address);
        byte getValue();                 // gets internal register value
        void setValue(byte value);       // sets internal register value
        byte readValue();                // reads the I2C bus to internal register
        void writeValue();               // writes the internal register to I2C bus
        void writeValue(byte value);     // writes the I2C bus and the internal register
};

#endif
