/*
  FSmagCompass.h - FreeSensors library for Arduino
  Copyright (C) 2018 Mario A. Guerra. All rights reserved.
  License: GNU GPL v3 http://www.gnu.org/licenses/gpl.html

  Magnetometer-Compass for FreeSensors:
  based on the QMC5883L Triple Axis Magnetometer Arduino Library.
  Copyright (C) 2017 Andy Barnard based on an original HMC5883L by Love Electronics
*/

#ifndef _FSmagCompass_h
#define _FSmagCompass_h

#include <Wire.h>
#include "FSi2c.h"

class FSmagCompass : public FSi2c {
    private:
        short rangeGauss;
        int16_t rawAxisX, rawAxisY, rawAxisZ;
        float magnX, magnY, magnZ;               // Magnetic intensity in Gauss
        float declination;                       // Declination in radians
        float heading;                           // Heading to true North in degrees
        void readRawValues();
    public:
        FSmagCompass();
        void begin();
        void initialize();
        void updateValues();
        void setRange(short range);
        void setDeclination(float radians);
        void setDeclination(int degs, int mins, char direc);
        float getMagneticX() { return magnX; };
        float getMagneticY() { return magnY; };
        float getMagneticZ() { return magnZ; };
        float getHeading() { return heading; };
};

#endif
