/*
  FSmodule.cpp - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#include "FSmodule.h"

FSmodule::FSmodule() {
    toShield = NULL;
    toPort = NULL;
    mtype = fmtUNDEF;
}

// '*' means 'points to' and '&' means 'address of'
bool FSmodule::connect(FSshield &xshi, int xjack) {
    return xshi.connect(*this, xjack);
}

/* The connection is managed by the shield, and when 
   connected to the shield, toShield and toPort are assigned
 */
void FSmodule::setShieldConn(FSshield* pshi) {
    toShield = pshi;
}

void FSmodule::setPortConn(FSport* pport) {
    toPort = pport;
}

fsModuleType FSmodule::getModuleType() {
    return mtype;
}

FSshield* FSmodule::getShieldConn() {
    return toShield;
}

FSport* FSmodule::getPortConn() {
    return toPort;
}

byte FSmodule::getPortJack() {
    return toPort->jack;
}

byte FSmodule::getPortPin() {
    return toPort->pin;
}

bool FSmodule::isConnected() {
    return toPort->connected;
}
