/*
  FSnanoBrown.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSnanoBrown_h
#define _FSnanoBrown_h

#include "FSshield.h"
#include <Servo.h>

class FSnanoBrown : public FSshield {
    private:
        Servo srvs[4];
    public:
        FSnanoBrown();
        void begin();
        // FSdioCapable interface
        void setPinMode(byte jack, byte mode);
        bool readDigitalValue(byte jack);
        void writeDigitalValue(byte jack, byte value);
        // FSaiCapable interface
        int readAnalogValue(byte jack);
        // FSaoCapable interface
        void writePwmValue(byte jack, byte value);
        void setPinOutput(byte jack);
        void doPulse(byte jack, byte duration);
        void startServo(byte jack);
        void endServo(byte jack);
        void setServoMinMax(byte jack, int pulseMin, int pulseMax);
        void setServoAngle(byte jack, int angle);
        void setServoPulse(byte jack, int pulse);
        #include "nonFShbCapable.inc"
};

#endif
