/*
  FSnanoMotor.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSnanoMotor_h
#define _FSnanoMotor_h

#include "FSshield.h"
#include <Servo.h>

class FSnanoMotor : public FSshield {
    private:
        Servo srvs[2];
    public:
        FSnanoMotor();
        void begin();
        // FSdioCapable interface
        void setPinMode(byte jack, byte mode);
        bool readDigitalValue(byte jack);
        void writeDigitalValue(byte jack, byte value);
        // FSaiCapable interface
        int readAnalogValue(byte jack);
        // FSaoCapable interface
        void writePwmValue(byte jack, byte value);
        void setPinOutput(byte jack);
        void doPulse(byte jack, byte duration);
        void startServo(byte jack);
        void endServo(byte jack);
        void setServoMinMax(byte jack, int pulseMin, int pulseMax);
        void setServoAngle(byte jack, int angle);
        void setServoPulse(byte jack, int pulse);
        // FShbCapable interface
        void enableDC(byte jack);
        void disableDC(byte jack);
        void setSpeedDC(byte jack, byte value);
        void dcMotor00(byte jack);
        void dcMotor11(byte jack);
        void dcMotorCW(byte jack);
        void dcMotorCCW(byte jack);
};

#endif
