/*
  FSserial.cpp - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#include "FSserial.h"

FSserial::FSserial() {
    mtype = fmtSER;
    jack = 0;
}

void FSserial::begin() {
    begin(9600);
}

void FSserial::begin(long speed) {
    jack = getPortJack();
    if (jack==1) {
        Serial.begin(speed);
    } else if (jack==2) {
        // SerialSFT.begin(speed);
    }
}

bool FSserial::attached() {
    bool isReady = false;

    if (jack==1) {
        isReady = (Serial);
    } else if (jack==2) {
        isReady = true;
    }
    return isReady;
}

bool FSserial::dataAvailable() {
    bool isData = false;

    if (jack==1) {
        isData = Serial.available();
    } else if (jack==2) {
        // isData = SerialSFT.available();
    }
    return isData;
}

byte FSserial::readByte() {
    if (jack==1) {
        return Serial.read();
    } else if (jack==2) {
        return 0;
    }
}

void FSserial::writeByte(byte data) {
    if (jack==1) {
        Serial.write(data);
    } else if (jack==2) {
        // not yet implemented
    }
}

String FSserial::readString() {
    if (jack==1) {
        return Serial.readStringUntil('\n');
    } else if (jack==2) {
        return "";
    }
}

void FSserial::writeString(String data) {
    if (jack==1) {
        Serial.println(data);
    } else if (jack==2) {
        // not yet implemented
    }
}
