/*
  FSservoMotor.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSservoMotor_h
#define _FSservoMotor_h

#include "FSmodule.h"

class FSservoMotor : public FSmodule {
    private:
        byte jack;
        boolean reversed;
    public:
        FSservoMotor();
        void begin();
        void end();
        void setMinMax(int pulseMin, int pulseMax);  // min max pulses in microseconds
        void setAngle(float angle);                  // absolute angle between 0º and 180º
        void setPulse(int pulse);                    // sends pulse duration in microseconds
        void setReversed(boolean rev = true);        // normal is CW in front view
};

#endif
