/*
  FSservoport.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSservoport_h
#define _FSservoport_h

#include "FSshield.h"

class FSservoport : public FSshield {
    public:
        FSservoport();
        void begin();
        // FSaoCapable interface
        void writePwmValue(byte jack, byte value);
        void setPinOutput(byte jack);
        void doPulse(byte jack, byte duration);
        void startServo(byte jack);
        void endServo(byte jack);
        void setServoMinMax(byte jack, int pulseMin, int pulseMax);
        void setServoAngle(byte jack, int angle);
        void setServoPulse(byte jack, int pulse);
        #include "nonFSdioCapable.inc"
        #include "nonFSaiCapable.inc"
        #include "nonFShbCapable.inc"
};

#endif
