/*
  FSspi.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.
*/

#ifndef _FSspi_h
#define _FSspi_h

#include <SPI.h>
#include "FSmodule.h"

class FSspi : public FSmodule {
    private:
        byte jack;
        byte pinSS;
        SPISettings config;
    public:
        FSspi();
        void begin();
        byte readValue(byte reg);
        void readValues(byte reg, byte *values, byte count);
        void writeValue(byte reg, byte value);
        void writeValues(byte reg, byte *values, byte count);
};

#endif
