/*
  FStempHum.h - FreeSensors library for Arduino.
  Copyright (C) 2019 Mario A. Guerra. All rights reserved.
  This file is part of FreeSensors, licensed under GNU GPL version 3.

  Temperature-Humidity DHT11 module for FreeSensors:
  is based on Adafruit DHT sensor library 1.3.10 (MIT license)
  https://github.com/adafruit/DHT-sensor-library
*/

#ifndef _FStempHum_h
#define _FStempHum_h

#include "FSmodule.h"

#define DHT11 11
#define DHT12 12
#define DHT21 21
#define DHT22 22

class FStempHum : public FSmodule {
        byte data[5];
        byte tipo;
        int minReadInterval;
        byte errCount;
        float temp;
        float hum;
        unsigned long prevTime;
        unsigned long maxCiclos;
        unsigned long readPulse(byte bit, byte port, bool level);
        bool readRawValues();
    public:
        FStempHum();
        void begin();
        void setType(byte xtipo);
        byte getType();
        void updateValues();
        float getTemperature() { return temp; };   // in °Celsius
        float getHumidity()    { return hum; };    // in % percentage
};

#endif
