/*
  FreeSensors.h - FreeSensors library for Arduino
  Copyright (C) 2013 Mario A. Guerra. All rights reserved.

  This file is part of FreeSensors.
  FreeSensors is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.
  FreeSensors is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  GNU General Public License for more details.
  You should have received a copy of the GNU General Public License
  along with FreeSensors.  If not, see <http://www.gnu.org/licenses/>
*/

#ifndef _FreeSensors_h
#define _FreeSensors_h
#define FREESENSORS_VERSION 1.3.1 // software version of this library

#include "FSmodule.h"
#include "FSdigOutput.h"
#include "FSdigInput.h"
#include "FSanOutput.h"
#include "FSanInput.h"
#include "FSserial.h"
#include "FSi2c.h"
#include "FSspi.h"

#include "FSshield.h"
#include "FSdirect.h"
#include "FSdioport.h"
#include "FSaiport.h"
#include "FSmotor.h"
#include "FSservoport.h"
#include "FSspiport.h"
#include "FSnanoMotor.h"
#include "FSnanoBrown.h"
#include "FShBridge.h"

typedef FSdirect FSserialduino;

#include "FSdcMotor.h"
#include "FSservoMotor.h"
#include "FSstepMotor.h"
#include "FSultrasonic.h"
#include "FStempHum.h"
#include "FSbuttonsAI.h"
#include "FSaccelGyro.h"
#include "FSmagCompass.h"
#include "FSdisplayOled.h"
#include "FSdisplayLCD.h"

#define DIO1 1
#define DIO2 2
#define DIO3 3
#define DIO4 4
#define DIO5 5
#define DIO6 6
#define DIO7 7
#define DIO8 8

#define AI1 1
#define AI2 2
#define AI3 3
#define AI4 4
#define AI5 5
#define AI6 6
#define AI7 7
#define AI8 8

#define AO1 1
#define AO2 2
#define AO3 3
#define AO4 4

#define DC1 1
#define DC2 2

#define SER1 1
#define SER2 2

#define I2C1 1
#define I2C2 2

#define SPI1 1
#define SPI2 2

#endif
